Search or ask Docker

Upgrade a plugin

POST /plugins/{name}/upgrade — Docker Engine API 1.57.

View Markdown
POST/plugins/{name}/upgrade

Connection and access

API connection and authentication guidance

X-Registry-Auth delegates registry credentials and does not authenticate the daemon caller.

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

name path Required

The name of the plugin. The :latest tag is optional, and is the default if omitted.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

remote query Required

Remote reference to upgrade to.

The :latest tag is optional, and is used as the default if omitted.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

X-Registry-Auth header

A base64url-encoded auth configuration to use when pulling a plugin from a registry.

Refer to the authentication section for details.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Request

application/json

Type: array

Array item

Schema: PluginPrivilege

All schema constraints and annotations
{
  "example": [
    {
      "Description": "",
      "Name": "network",
      "Value": [
        "host"
      ]
    },
    {
      "Description": "",
      "Name": "mount",
      "Value": [
        "/data"
      ]
    },
    {
      "Description": "",
      "Name": "device",
      "Value": [
        "/dev/cpu_dma_latency"
      ]
    }
  ],
  "items": {
    "$ref": "#/components/schemas/PluginPrivilege"
  },
  "type": "array"
}

Schema example

[
  {
    "Description": "",
    "Name": "network",
    "Value": [
      "host"
    ]
  },
  {
    "Description": "",
    "Name": "mount",
    "Value": [
      "/data"
    ]
  },
  {
    "Description": "",
    "Name": "device",
    "Value": [
      "/dev/cpu_dma_latency"
    ]
  }
]

Request

text/plain

Type: array

Array item

Schema: PluginPrivilege

All schema constraints and annotations
{
  "example": [
    {
      "Description": "",
      "Name": "network",
      "Value": [
        "host"
      ]
    },
    {
      "Description": "",
      "Name": "mount",
      "Value": [
        "/data"
      ]
    },
    {
      "Description": "",
      "Name": "device",
      "Value": [
        "/dev/cpu_dma_latency"
      ]
    }
  ],
  "items": {
    "$ref": "#/components/schemas/PluginPrivilege"
  },
  "type": "array"
}

Schema example

[
  {
    "Description": "",
    "Name": "network",
    "Value": [
      "host"
    ]
  },
  {
    "Description": "",
    "Name": "mount",
    "Value": [
      "/data"
    ]
  },
  {
    "Description": "",
    "Name": "device",
    "Value": [
      "/dev/cpu_dma_latency"
    ]
  }
]

Response 204

no error

No response content is declared.

Response 404

plugin not installed

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Response 500

server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/ErrorResponse

#/components/schemas/PluginPrivilege

Complete operation contract
{
  "operationId": "PluginUpgrade",
  "parameters": [
    {
      "description": "The name of the plugin. The `:latest` tag is optional, and is the\ndefault if omitted.\n",
      "in": "path",
      "name": "name",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "Remote reference to upgrade to.\n\nThe `:latest` tag is optional, and is used as the default if omitted.\n",
      "in": "query",
      "name": "remote",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "A base64url-encoded auth configuration to use when pulling a plugin\nfrom a registry.\n\nRefer to the [authentication section](#section/Authentication) for\ndetails.\n",
      "in": "header",
      "name": "X-Registry-Auth",
      "schema": {
        "type": "string"
      }
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "example": [
            {
              "Description": "",
              "Name": "network",
              "Value": [
                "host"
              ]
            },
            {
              "Description": "",
              "Name": "mount",
              "Value": [
                "/data"
              ]
            },
            {
              "Description": "",
              "Name": "device",
              "Value": [
                "/dev/cpu_dma_latency"
              ]
            }
          ],
          "items": {
            "$ref": "#/components/schemas/PluginPrivilege"
          },
          "type": "array"
        }
      },
      "text/plain": {
        "schema": {
          "example": [
            {
              "Description": "",
              "Name": "network",
              "Value": [
                "host"
              ]
            },
            {
              "Description": "",
              "Name": "mount",
              "Value": [
                "/data"
              ]
            },
            {
              "Description": "",
              "Name": "device",
              "Value": [
                "/dev/cpu_dma_latency"
              ]
            }
          ],
          "items": {
            "$ref": "#/components/schemas/PluginPrivilege"
          },
          "type": "array"
        }
      }
    },
    "x-codegen-request-body-name": "body"
  },
  "responses": {
    "204": {
      "description": "no error"
    },
    "404": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "plugin not installed"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "server error"
    }
  },
  "summary": "Upgrade a plugin",
  "tags": [
    "Plugin"
  ]
}